import request from '@/utils/request'

// 音频列表
export function audioList(data) {
  return request({
    url: `/radio/tContentPlay/audio/page`,
    method: 'post',
    data
  })
}

// 时间列表
export function settimgTime(data) {
  return request({
    url: `/radio/tContentPlay/list`,
    method: 'post',
    data
  })
}

// 提交
export function submit(data) {
  return request({
    url: `/radio/tContentPlay/saveOrUpdate`,
    method: 'post',
    data
  })
}

// 删除设定
export function removeSetting(query) {
  return request({
    url: `/radio/tContentPlay/deleteById`,
    method: 'get',
    params: query
  })
}

// 详情
export function detail(query){
  return request({
    url: `/radio/tContentPlay/queryDetailById`,
    method: 'get',
    params: query
  })
}

// 内容设定列表
export function settingList(data) {
  return request({
    url: `/radio/tContentPlay/Intercut/queryList`,
    method: 'post',
    data
  })
}